<%@ page language="java" contentType="text/html;charset=GBK"%>
<%@ page import="java.util.*"%>
<%@ page import="com.bestin.bicp.util.*"%>
<%@ page import="com.bestin.bicp.vo.UserInfo"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>ÓÃ»§×¢Ïú</title>
<link href="<%=request.getContextPath()%>/resources/css/WebStyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<%
	//if (request.getSession(false)!=null) {
	//if (request.getSession().getAttribute(Constant.SESSION_ATTRIBUTE_USERINFO) != null){
	//OnlineCounter.reduce((UserInfo)request.getSession().getAttribute(Constant.SESSION_ATTRIBUTE_USERINFO));
//	request.getSession().removeAttribute(Constant.SESSION_ATTRIBUTE_USERINFO);	
//}
// session.removeAttribute(Constant.REQUEST_ATTRIBUTE_MENUINFO);
// session.removeAttribute(Constant.SESSION_ATTRIBUTE_USERINFO);
	Enumeration enumeration = session.getAttributeNames();
	Vector vector = new Vector();
	do {
		if (!enumeration.hasMoreElements())
			break;
		String s = enumeration.nextElement().toString();
		if (!s.equalsIgnoreCase("ACEGI_SECURITY_TARGET_URL")
				&& !s.equalsIgnoreCase("org.apache.struts.action.LOCALE"))
			vector.addElement(s);
	} while (true);
	for (int i = 0; i < vector.size(); i++)
		session.removeAttribute(vector.elementAt(i).toString());
	session.invalidate();
	response.sendRedirect("login.jsp");
%>
</body>
</html>
